local addon_data = { --this is your crosshair_data table
--	name_id = "menu_crosshair_snipercrosshair", --(optional) this is the id of the localized name to show when selecting the crosshair in the menu. if name_id is present, ACH will assume that you already have localization in place for the mod, and will not change it for you. This is useful in cases where you have localizations for multiple different languages, eg. through BeardLib's LocalizationModule.
	
	name = "Sniper Crosshair", --if you so desire, you can opt to let ACH generate the localization for you, if you don't want to mess with localization yourself. In this case, use name instead of name_id.
	bloom_func = function(index,bitmap,data) --(optional) this is the bloom function. if you don't want your crosshair to have bloom, you can safely leave this out
		local bloom = data.bloom --this represents how much crosshair bloom there is at the moment. this can range from 0 to 1, inclusive.
		local crosshair_data = data.crosshair_data and data.crosshair_data.parts[index] or {} --crosshair_data will represent your crosshair_data table, the table that this bloom_func is inside of, so you'll have access to all of the crosshair's creation data/parameters from the bloom function
		local distance = (crosshair_data.distance or 10) * (1 + bloom)
		local angle = crosshair_data.angle or 60
		local c_x = data.panel_w/2
		local c_y = data.panel_h/2
		if index == 1 then 
			--this corresponds to the first item in the parts list,
			--which is the dot at the center of the crosshair. 
			
			--this bloom function doesn't do anything with the center dot, so this part is blank.
		else
			bitmap:set_center(c_x + (math.sin(angle) * distance),c_y - (math.cos(angle) * distance))
			--this makes the four crosshair dashes "kick" outward in the bloom function
			
			--this moves the crosshair part. if for some reason your crosshair has non-centered bitmap parts (for example, numbers on a readout display), you probably want to use set_position instead of set_center, but either will work for positioning your stuff.
		end
	end,
	parts = { --this tells the mod where your crosshair texture file is and how to position it on the screen
		{
			texture_path = "crosshairassets/crosshair_dot", --this is the asset path to your crosshair texture file. THIS SHOULD INCLUDE THE MOD PATH! ACH cannot get the mod path of the mod feeding it addon data, so you have to add it yourself, like this. Do not include the file extension here; your texture file must be a .texture (aka a renamed .dds extension), but this extension should be left out of the string.
			--texture = "guis/textures/pd2/hud_icon_hostage", --this indicates that the texture is already loaded, and known to the game by this path; if you're adding your own textures, you likely want to use texture_path instead.
			w = 2, --w and h stand for width and height, respectively, and represent how big the crosshair will be on your screen.
			h = 2 --this is separate from your file's dimensions! the image will be scaled to fit these width/height values, so make sure that the aspect ratio is the same between these values and your file dimensions. if you leave w or h blank, the game will use the respective original file dimension(s).
		},
		{
			texture_path = "crosshairassets/crosshair_dash_1",
			rotation = 90,
			angle = 90,
			distance = 30,
			w = 2,
			h = 8
		},
		{
			texture_path = "crosshairassets/crosshair_dash_1",
			rotation = 180,
			angle = 180,
			distance = 30,
			w = 2,
			h = 8
		},
		{
			texture_path = "crosshairassets/crosshair_dash_1",
			rotation = 270,
			angle = 270,
			distance = 30,
			w = 2,
			h = 8
		}
	}
}

return "snipercrosshair",addon_data